O3DS 10.3.0-6U downgrading to 9.2 issue (Did not get am:u handle!)

Discussion in '3DS - Flashcards & Custom Firmwares' started by Gungerino, Aug 29, 2016.

  1. Gungerino
    OP

    Gungerino Member

    Newcomer
    23
    1
    Aug 29, 2016
    United States
    Stay with me! It’s a long post, but as I’m not sure what could have caused my problem, I’m trying to list everything in detail.

    I have already downgraded successfully an N3DS XL one month ago from 9.6.0-24U following Plailect’s guide.

    And now I encounter some problems downgrading an O3DS from firmware 10.3.0-6U (it was 9.x, but was updated with the Monster Hunter Generation cartridge).

    I’m following the new guide from Plailect:

    1. Bought a OOT3D and used my N3DS to install the haxxed savegame (tried getting it to work for at least 4 hours with the sploit installer/manual injection and files for version 10.3.0-6U, which didn’t work at all.​

    Tried the installer one more time with 10.4.0-6U, and from now on I’m able to boot into HBL.
    (that’s the first thing I don’t understand …)

    2. Installed menuhax with success.
    3. Started preparing for downgrading to 9.2
    a. Formatted the O3DS system
    b. Changed the SD card to an EVO Plus Advanced Performance 32 GB
    Formatted it with diskpart as MBR​
    c. Copied all files over and booted back in HBL​
    4. Checked files with SafeSysUpdater
    5. Started with sysDowngrader but always stuck on:​

    “Checking for am:u…
    Did not get am:u handle!

    Attempting svchax…
    Initted svchax…

    Initted services…
    Checking for am:u…​

    Did not get amu: handle, please reboot”​

    I tried this for AT LEAST 100 times, even changed the sysDowngrader.3dsx into boot.3dsx to start quicker into sysDowngrader.

    (Did some research and found people complaining about 5-30 attempts ... Can it really take 100+ tries?)

    6. Tried PlaiSysUpdater v05 and v04, both stuck on boot at the yellow screen.​


    Also starting apps from the ‘starter kit’ results in a yellow screen (I read somewhere starting apps, could help clearing up the cache (?).​

    d. mgba = yellow screen
    e. eshop = yellow screen
    f. prboom = yellow screen​

    Installed ftbrony which works, but still same issues with PlaiSysUpdater and SysDowngrader.

    7. SafeSysUpdater stucks on Hax init … (tried it maybe 10 times)

    Things I also already tried:

    - Using the standard O3DS SD card formatted as FAT32 cluster size 32K = same issue as descripted above
    - Installed menuhax couple of times = same issue as descripted above​

    My thoughts:

    8. Is there a way to upgrade to 10.4? With this I could get rid of the dummy browser. Would it be easier to downgrade from that version?
    9. Should I just keep trying with sysDowngrader or SafeSysUpdater?​

    So here I’m hoping of some input, maybe I really overlooked something trivial.

    ANY help is appreciated.
     


  2. cravas

    cravas GBAtemp Advanced Fan

    Member
    864
    229
    Jul 30, 2016
    Oeiras
    Did you made this steps:


    1. Launch the Settings application
    2. Change the date to January 1, 2000
    3. Change the time to 00:00
    4. Launch the browser, then open the browser settings as fast as possible
    5. Scroll to the bottom and Initialize Savedata (it also may be called Clear All Save Data) as fast as possible
     
    Gungerino likes this.
  3. Clector

    Clector GBAtemp Advanced Fan

    Member
    954
    228
    Mar 15, 2016
    Bangladesh
    Not here
    Try with normal SysUpdater instead maybe (you will need to verify the good state of the updates files by yourself in this case in your computer) or SafeSysUpdater.
    Saying so about the Dummy Browser, yes it"s possible, but you will better install manually the browser from your Firmware, this need to be from the same region and console model, with NASA.
     
    Last edited by Clector, Aug 29, 2016
    Gungerino likes this.
  4. Gungerino
    OP

    Gungerino Member

    Newcomer
    23
    1
    Aug 29, 2016
    United States
    thanks for your comments!

    @cravas
    not sure if this will help me in my case, as I can't launch HBL through the browser, but will try it anyways

    @Clector
    I do have SysUpdater installed, but it freezes in a black screen if I try to boot it (though, I didn't wait longer as maybe ~30 seconds).
    regarding the good state of my files, this was already checkt with SafeSysUpdater
    For installing the browser, NASA is new for me, I'll have a look into it, thank you!

    //edit:
    https://www.reddit.com/r/3dshacks/comments/402cri/how_to_downgrade_3ds_browser_to_more_vulnerable/
    Could I follow this to install the USA browser?
     
    Last edited by Gungerino, Aug 29, 2016
  5. cravas

    cravas GBAtemp Advanced Fan

    Member
    864
    229
    Jul 30, 2016
    Oeiras
    That guide is for downgrade the Browser on an EmuNAND.
    If you do it on SysNAND, you might make it unusable.

    When I told you to do that above ----^^^is because there's a Browser NAG that can be solved by doing those steps.
    Although, since you have updated through CART, maybe it doesn't apply to your case.

    Version 10.3 stock FW should end -28 so, the hax is sketchy.

    You can try this if you don't care about saves, games etc...
    Backup SD to a folder on PC.

    Delete everything from SD.

    Go to System Settings and Format System.

    Make inicial settings but leave Date and Time as above --^^^

    Then follow ALL steps on here:
    https://github.com/Plailect/Guide/wiki/Homebrew-Launcher-(Browser)
     
    Gungerino likes this.
  6. Clector

    Clector GBAtemp Advanced Fan

    Member
    954
    228
    Mar 15, 2016
    Bangladesh
    Not here
    The console have the dummy browser as all 9.9.0-X and higher gamecards updates have the dummy browser, so changing the date wouldn"t help.
     
    MelonGx, Quantumcat and Gungerino like this.
  7. cravas

    cravas GBAtemp Advanced Fan

    Member
    864
    229
    Jul 30, 2016
    Oeiras
    Yes, that's what causing the issues.

    But, if he has a Browser, there's no bad in trying all this solutions.
     
    Gungerino likes this.
  8. Gungerino
    OP

    Gungerino Member

    Newcomer
    23
    1
    Aug 29, 2016
    United States
    I have tried the browserhax first, before buying OOT3D.

    If I remember correct it did say "This browser version is not supported ..."

    But I'll give it a try again tonight.
     
  9. DavidRO99

    DavidRO99 Average Ryzen user.

    Member
    975
    281
    Jun 11, 2016
    Korea, North
    your back-door
    Launch a homebrew app and quit it before using PlaiSysUpdater
     
    Gungerino likes this.
  10. Gungerino
    OP

    Gungerino Member

    Newcomer
    23
    1
    Aug 29, 2016
    United States
    @DavidRO99

    That's what I meant to say with this part of my post

    "Also starting apps from the ‘starter kit’ results in a yellow screen (I read somewhere starting apps, could help clearing up the cache (?).

    d. mgba = yellow screen
    e. eshop = yellow screen
    f. prboom = yellow screen

    Installed ftbrony which works, but still same issues with PlaiSysUpdater and SysDowngrader."

    Can't start any of those, as they also end up in the same yellow screen as PlaiSysUpdater.
     
  11. Gungerino
    OP

    Gungerino Member

    Newcomer
    23
    1
    Aug 29, 2016
    United States

    tried this right now.
    I don't get the "this version is not supported" anymore, instead the screens flashes yellow, grey then orange and freezes. After ~10 seconds it crashes with:
    "An error has occurred
    Please save your data in any software currently in use, and then restart the system"

    I'll keep trying!
     
  12. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    (deleted)
     
    Last edited by MelonGx, Aug 30, 2016
  13. cravas

    cravas GBAtemp Advanced Fan

    Member
    864
    229
    Jul 30, 2016
    Oeiras
    [EDIT]
    Posted on the wrong thread, sorry[/EDIT]
     
    Last edited by cravas, Aug 30, 2016 - Reason: Wrong thread post
  14. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,116
    1,168
    Jan 2, 2009
    Gambia, The
    yes, it can take more than 100 tries.

    its probably more of a if you believe in it, it helps kind of thing, but try a different sd for the next 50 tries.
     
    Gungerino likes this.
  15. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,885
    5,032
    Mar 17, 2010
    Norway
    Alola
    Browserhax sometimes fails, reboot your 3DS and wipe browser data between each attempt and try again.
     
    Gungerino likes this.
  16. Urbanshadow

    Urbanshadow GBAtemp Maniac

    Member
    1,294
    472
    Oct 16, 2015
    Yup that feels like a normal browserhax execution. It only failed. I guess you got it running by now.
     
    Gungerino likes this.
  17. dradonhunter11

    dradonhunter11 French o-MEGA modder

    Member
    582
    329
    Oct 27, 2015
    Canada
    The Distorded and chaotic land
    You can't downgrade unless you get a full 10.3. The fact you have 10.3.0-6U is the reason you can't downgrade. When you got full 10.3 try to downgrade, I got a friend with same issue and installing full 10.3 package worked. Also downgrade from Frankenfirmware increase chance of brick if I remember right
     
    Gungerino likes this.
  18. JordenNixNix

    JordenNixNix GBAtemp Regular

    Member
    195
    71
    Feb 11, 2012
    Belgium
    So currently you are on 10.3.0-6U and you do have access to homebrew.

    Did you already tried downgrading with Decrypt9 via 9.2 ctrtransfer?
    Ctrtransfers are pre made dowgrade packages and are currently the easiest and safest way to downgrade.

    You can follow this guide but instead of a 2.1 ctrtransfer pack you must find a 9.2 ctrtransfer pack:
    https://github.com/Plailect/Guide/wiki/Part-2-(2.1.0-ctrtransfer)
    and
    https://github.com/Plailect/Guide/wiki/9.2.0-ctrtransfer

    This is a part of the A9hl guide but you only need to do the downgrade part, except if you want A9HL.

    Just to avoid double work, you don't need to downgrade to 2.1 first in order to go to 9.2,
    just do it once with 9.2.
     
    Last edited by JordenNixNix, Aug 30, 2016
    Gungerino likes this.
  19. Quantumcat

    Quantumcat Dead and alive

    Member
    10,501
    5,541
    Nov 23, 2014
    Australia
    Canberra, Australia
    You can't use Decrypt9 from homebrew on firmwares over 9.2
     
    Last edited by Quantumcat, Aug 30, 2016
    TheCyberQuake and Gungerino like this.
  20. Gungerino
    OP

    Gungerino Member

    Newcomer
    23
    1
    Aug 29, 2016
    United States
    Wow, thanks for all your support!


    @Clydefrosch

    I DID believe in it… otherwise I wouldn’t have done it for 4 hours :D

    But I’ll keep that in mind, to try it with another SD card!


    @The Real Jdbye and @Urbanshadow

    I tried it a couple of times, but I still really think it’s because of the dummy browser.

    Or was only the “this version is not supported …” message a dummy browser indicator?

    It always worked on the first try on my N3DS on 9.6.

    Will keep trying tonight again!


    @dradonhunter11

    Ok, that would mean I should look on - that ISO site (?)- for a 10.3.0-28U and do the ‘updade’ instead of the ‘downgrade’


    @JordenNixNix

    That sounds promising. Just to make sure I understood all correct:

    1. I’ll take the 9.2 ctrtransfer pack from https://github.com/Plailect/Guide/wiki/9.2.0-ctrtransfer

    2. Follow this https://github.com/Plailect/Guide/wiki/Part-2-(2.1.0-ctrtransfer) with the pack from step 1 and downgrade from 10.3.0-6U to 9.2? After that, I would follow Plailects guide as normal? Just wondering why the guide uses sysDowngrader to downgrade to 9.2,

    I really though that is the only way?

    yes I wanted to install A9LH.


    //edit: I also tried the sysUpdater 0.4.2b for 2 hours yesterday:
    'Failed to get CIA file info!'

    checked the MD5 hash of the downgrade package first and also used the check function from SafeSysUpdater.
     
    Last edited by Gungerino, Aug 30, 2016